\input Head

\section{\tt WaveletInverse}
\label{waveletinverse}

% A short (preferably one-line) description of {\tt MyFunction}.

{\tt WaveletInverse} - CallChain action,
 performs wavelet decomposition of input data.

\subsection{Description}

% A longer description of what {\tt MyFunction} is used for.

{\tt WaveletInverse} is a CallChain action

\subsection{Operating Instructions}

Syntax: 
\begin{verbatim}
Time Series y = WaveletInverse(WaveletUDT &x)
\end{verbatim}
%
Number of arguments allowed: 1.\\
%
Arguments:
\begin{itemize}
\item x - input wavelet data
\end{itemize}

\subsubsection{Example Usage}

% A verbatim block of example code showing proper usage of {\tt
% MyFunction}.

\begin{verbatim}

 Wavelet* w = new Biorthogonal<double>(10, 0);

 CallChain chain;
 char* par[2]={"input", NULL};
 Sequence<double> in(0,1024); // sequence of all zeroes
 in[64*3+17]=1.; 	// set to 1 some element

// initialize wavelet data from sequence 'in'
 WaveletUDT<double>* wi = new WaveletUDT<double>(in, *w);

 CallChain::Symbol* input = wi->Clone();

 chain.AddSymbol("input", input);
 chain.AppendCallFunction("WaveletInverse",  par, "output");
  
 chain.Execute();

 TimeSeries<double>* wu = chain.GetSymbol("output");

\end{verbatim}

%\subsubsection{Options/Defaults}

% A list of options or defaults for public methods or member data of
% {\tt MyFunction}. 

\subsection{Exceptions}

\subsubsection{Exceptions Thrown}

% A list of exceptions thrown by {\tt MyFunction}.

The Eval method may throw exceptions indicating an invalid action
call syntax.

\subsubsection{Exceptions Handled}

% A list of exceptions handled by {\tt MyFunction}.

None.

\subsection{Algorithms}

% Description of algorithm used in function

See descriptions of algorithms specific for wavelet of each type
{\tt Haar}~(\ref{class_haar}),
{\tt Biorthogonal}~(\ref{class_biorthogonal}),
{\tt Daubechies}~(\ref{class_daubechies}),
{\tt Symlet}~(\ref{class_symlet}).


\subsection{Accuracy}

% A discussion of issues related to the accuracy of numerical routines
% used by {\tt MyFunction}---e.g., approximations,  argument ranges, etc.

Not relevant.

\subsection{Performance}

% A discussion of issues related to the speed (e.g., $O(N\log N)$) of
% computationally demanding routines used by {\tt MyFunction}.

Not relevant.

\subsection{Testing}

% A description of any test code/test classes that were used to test
% {\tt MyFunction}. 

Tested as part of tWaveletFunctions test. Test performed for
all available type of wavelets both for float and double data
precision. Results are compared with reference data taken from
files. Absolute difference between output and reference data
did not exceed $10^{-6}*RMS_{input}$ for float data and
$10^{-14}*RMS_{input}$ for double data, except for Daubechies
and Symlet wavelets where difference may be as big as
$10^{-11}*RMS_{input}$. If tWaveletFunctions 
started with "--verbose" flag and if particular test 
passed successfully then series of lines will be printed,
for example:

\begin{verbatim}
-- MESG: testInverse: example data RMS=1010.99
-- MESG: testInverse: RMS of  (example-output)=1.71174e-12
-- MESG: testInverse: maximum (example-output)=5.51381e-12
-- PASS: (test if Inverse Biorthogonal transform for <double> computed properly)
\end{verbatim}


\subsection{Notes}

% Miscellaneous notes about {\tt MyFunction} that do not appear
% elsewhere, things that remain to be done, etc.  

None.

\subsection{See Also}

% A list of derived classes, base classes, etc.\ closely related to
% {\tt MyFunction}. 

Other related functions:
{\tt WaveletForward}~(\ref{waveletforward}),
{\tt GetLayer}~(\ref{getlayer}),
{\tt Haar}~(\ref{fun_haar}),
{\tt Biorthogonal}~(\ref{fun_biorthogonal}),
{\tt Daubechies}~(\ref{fun_daubechies}),
{\tt Symlet}~(\ref{fun_symlet}).

\subsection{References}

None.

% A list of references for any algorithms, etc.\ used by {\tt
% MyFunction}. 

\input Tail

%%% Local Variables: 
%%% mode: latex
%%% TeX-master: "datacondAPI"
%%% End: 
